clear
addpath('L:\matlab_progs')
nrep=400;
tstats=zeros(nrep,8);
shats=zeros(nrep,8);
th_hats=zeros(nrep,8);
Htot=zeros(8,8);
Vtot=zeros(8,8);
for ire=1:nrep

    ire
    filename=['L:\MC for paper\Revision With Restructure of Programs\From adroit\n2000\Roy_MC2_data_and_theta' num2str(ire) '.mat']; 
    load(filename);
    filename=['L:\MC for paper\Revision With Restructure of Programs\From adroit\n2000\Roy_MC2_deltas_and_as_fixed_directions' num2str(ire) '.mat']; 
    load(filename);
    
    id=unique(boot_id);
    nboot=length(id);
    k=size(delta_s,2);
    
    b_univariate=zeros(nboot,k);
    b_directional=zeros(nboot,k*k-k);
    
    for ib=1:nboot

       ii=find(boot_id==id(ib));
       a=a_s(ii);
       b_univariate(ib,:)=a(1:k);
       b_directional(ib,:)=a(k+1:k*k);
    end
    
    OMEGA1=cov(b_univariate);
    OMEGA2=cov([b_univariate b_directional]);
    D2=delta_s(1:k*k,:)';
    
    should_print=true;
    [Vcf, Hcf, V, H, fct]=solve_for_V_and_H_Version3(OMEGA1, OMEGA2, D2,should_print) ;

    id=unique(boot_id);
    nboot=length(id);
    k=size(delta_s,2);

    
    

    Htot=Htot+H;
    Vtot=Vtot+V;
    Hinv=inv(H);
    Vth=Hinv'*V*Hinv;
    s=sqrt(diag(Vth));
    
    shats(ire,:)=s';
    tstats(ire,:)=((theta_hat-theta_true)./s)';
    th_hats(ire,:)=theta_hat';
    
end

V=Vtot/nrep;
H=Htot/nrep;
Hinv=inv(H);
Vth=Hinv'*V*Hinv;
sqrt(diag(Vth))'

save('structural model 2000 obs')


