function [alpha,Valpha]=estimate_alpha(x1,x2,w1,w2,d1,d2);

    n=size(x1,1);

    x12=[x1 x2(:,2:size(x2,2))];
    x12=[x12;x12];
    w=[w1;w2];
    d=[d1;d2];
    dminus1=[0*d1;d1];
    dminus1a=[0*d1;(1-d1)];
    
    
    [a1,infl1,s1,infl_s1]=BOLS2(w,[x12 dminus1],d);
    [a2,infl2,s2,infl_s2]=BOLS2(w,[x12 dminus1a],(1-d));
    [a3,infl3]=BOLS(d,[x12 dminus1]);
    alpha=[a1;a2;a3;s1;s2];
    infl=[infl1 infl2 infl3,infl_s1,infl_s2];
    infl=(infl(1:n,:)+infl(n+1:n*2,:))/2;
    Valpha=infl'*infl/n;


    
end