function [wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2] = ...
    generatedata_from_Roy(betaSector1,gammaSector1,...
    betaSector2,gammaSector2,tran,rho,x1,x2,e_s1t1,e_s2t1,e_s1t2,e_s2t2)

    si1=exp(tran(1)); 
    si2=exp(tran(2));

    tran=[si1 0; 0 si2];
    
    
 
    eet1=[e_s1t1 e_s2t1]*tran;
    eet2=[e_s1t2 e_s2t2]*tran;

    x1b1=x1*betaSector1;
    x2b2=x2*betaSector2;

    
    w1Sector1=exp(x1b1+eet1(:,1));
    w1Sector2=exp(x2b2+eet1(:,2));

    mu=[x1b1+gammaSector1  x2b2] ; 
    Val_Sector1=w1Sector1+rho*max_enormal4(mu,tran);
    
    mu=[x1b1 x2b2+gammaSector2] ; 
    Val_Sector2=w1Sector2+rho*max_enormal4(mu,tran);

    Sector1chosen_T1=(Val_Sector1>=Val_Sector2);
    wageT1=(Sector1chosen_T1).*w1Sector1+(1-Sector1chosen_T1).*w1Sector2;

    w2Sector1=exp(x1b1+gammaSector1*Sector1chosen_T1+eet2(:,1));
    w2Sector2=exp(x2b2+gammaSector2*(1-Sector1chosen_T1)+eet2(:,2));

    Sector1chosen_T2=(w2Sector1>=w2Sector2);
    wageT2=(Sector1chosen_T2).*w2Sector1+(1-Sector1chosen_T2).*w2Sector2;
end