function [emax]=max_enormal4(mu,SIG)

%     mu is a n-by-2matrix. each row is a vector of means for individual i. 
%     SIG is 2x2 variance.
%     zz is M-by-2
    
    v1=SIG(1,1);
    v2=SIG(2,2);
    v12=SIG(1,2);
    denom=sqrt(v1+v2-2*v12);
    
    
    ex1=exp(mu(:,1)+v1/2);
    ex2=exp(mu(:,2)+v2/2);
    

     aa=[(mu(:,1)-mu(:,2)+(v1-v12)) (mu(:,2)-mu(:,1)+(v2-v12))]/denom;
     bb=normcdf(aa);
     emax=ex1.*bb(:,1)+ex2.*bb(:,2);
    

end