
nrep=400;
k2=32;
th=zeros(nrep,k2);
thif=zeros(nrep,k2);
se=zeros(nrep,k2);
se_regular=zeros(nrep,k2);
seNL=zeros(nrep,k2);
seNLif=zeros(nrep,k2);
ii=zeros(nrep,1);

for irep=1:400
    
    filename=['MC_2-trade_' num2str(irep,'%03i') '.mat']; 
    if exist(filename, 'file') == 2
        ii(irep)=1;
        load(filename)
        th=th+th_MC;
        thif=thif+thif_MC;
        se=se+s_MC;
        se_regular=se_regular+s_MC_regular;
        seNL=seNL+sNLS_MC;
        seNLif=seNLif+sNLSif_MC;
    end
    
end
thhat(31)=1.5;

ii=find(ii>0);
nrep=length(ii);

th=th(ii,:);
thif=thif(ii,:);
se=se(ii,:);
se_regular=se_regular(ii,:);
seNL=seNL(ii,:);
seNLif=seNLif(ii,:);


median(th)

tstat0=(thif-repmat(thhat',nrep,1))./seNLif;
se0=seNLif; % infeasible
tstat1=(th-repmat(thhat',nrep,1))./seNL;
se1=seNL; % no correction
tstat2=(th-repmat(thhat',nrep,1))./se;
se2=se; %ours
tstat3=(th-repmat(thhat',nrep,1))./se_regular;
se3=se_regular; % regular BS


load('mfiles\MC_2-trade-analytical_001.mat')
thhat(31)=1.5;

tstat4=(th_MC-repmat(thhat',nrep,1))./ sNLS_ANLY;
se4=sNLS_ANLY; %asymptotic with correction






indx=[1:11 31 32];

s1={'$\\tilde\\beta_0$', 'border' ,'island', 'landlocked', 'legal', 'language', 'colonial' ,'cu', 'fta', 'wtonone', 'wtoboth' , 'Mills' , '$\\lambda$'};
s2={'Actual' , 'no correction' , 'with correction', 'poor woman BS' ,'regular BS' };
SE=[std(th_MC) ; mean(se1); mean(se4); mean(se2); mean(se3) ];
SE=SE';
SE=SE(indx,:);
printtable(SE,s1,s2,0)

fprintf('\n\n\n\n')

s1={'$\\tilde\\beta_0$', 'border' ,'island', 'landlocked', 'legal', 'language', 'colonial' ,'cu', 'fta', 'wtonone', 'wtoboth' , 'Mills' , '$\\lambda$'};
s2={'Actual' , 'no correction' , 'with correction', 'poor woman BS' ,'regular BS' };
SE=[std(th_MC) ; median(se1); median(se4); median(se2); median(se3) ];
SE=SE';
SE=SE(indx,:);
printtable(SE,s1,s2,0)

fprintf('\n\n\n\n')

s1={'$\\tilde\\beta_0$', 'border' ,'island', 'landlocked', 'legal', 'language', 'colonial' ,'cu', 'fta', 'wto_non', 'wto_both' , 'Mills' , '$\\lambda$'};
s2={'no correctoion' ,'with correction', 'poor woman BS' ,'regular BS' ,'infeasible'};
rej=[mean(abs(tstat1(:,indx))>1.28) ; mean(abs(tstat4(:,indx))>1.28) ; mean(abs(tstat2(:,indx))>1.28) ; mean(abs(tstat3(:,indx))>1.28); mean(abs(tstat0(:,indx))>1.28)];
rej=rej';




printtable(rej,s1,s2,1)







