function [bhat,infl,s2,infl_s2]=BOLS2(y,x,sel)

% regresses log(y) on x for obs for which sel=1



    sel=(sel==1);
    yy=log(sel.*y+(1-sel));
    [n,k]=size(x);
    xx=zeros(n,k);
    for i=1:k
        xx(:,i)=x(:,i).*sel;
    end
    xxx=(xx'*xx)^(-1);
    xxy=xx'*yy;
    bhat=xxx*xxy;
    resid=yy-xx*bhat;

    xe=zeros(n,k);
    for i=1:k
        xe(:,i)=x(:,i).*resid;
    end

    infl=size(y,1)*xe*xxx;
    residsq=resid.^2;
    s2=mean(sel.*residsq);
    infl_s2=sel.*(residsq-s2);
end