function [fct1,a,Valpha_inv]=Indirect_fct(x1,x2,e11,e21,e12,e22,theta,alpha,Valpha_inv,rho)

    theta=reshape(theta,length(theta),1);
    k=(length(theta)-4)/2;

    b1=theta(1:k);
    b2=theta(k+1:2*k);
    g1=theta(2*k+1);
    g2=theta(2*k+2);
    
    aa=[theta(2*k+3) theta(2*k+4) ];

    [w1,w2,d1,d2] = generatedata_from_Roy(b1,g1,b2,g2,aa,rho,x1,x2,e11,e21,e12,e22);
    [a,V]=estimate_alpha(x1,x2,w1,w2,d1,d2);
    a1=a-alpha;
    fct1=a1'*Valpha_inv*a1;
end