tic    
    n=10000000;
    x1=[ones(n,1) randn(n,1)];
    x2=[ones(n,1) randn(n,1)];
    e11=randn(n,1);
    e21=randn(n,1);
    e12=randn(n,1);
    e22=randn(n,1);

    betaSector1=[1;1];
    betaSector2=[0.5;1];
    gammaSector1=0.0;
    gammaSector2=1;
    si1=sqrt(2);
    si2=sqrt(3);
    tran=[log(abs(si1));  log(abs(si2))];
    rho=0.95;
    theta_true=[betaSector1; betaSector2; gammaSector1; gammaSector2; tran];
    
    
    

    betaSector1=theta_true(1:2);
    betaSector2=theta_true(3:4);
    gammaSector1=theta_true(5);
    gammaSector2=theta_true(6);
    tran=theta_true(7:8);

    rng(17171,'twister');
    [wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2] = ...
    generatedata_from_Roy(betaSector1,gammaSector1,...
    betaSector2,gammaSector2,tran,rho,x1,x2,e11,e21,e12,e22);

    [alpha,Valpha]=estimate_alpha(x1,x2,wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2);
    Valpha
    [alpha,Valpha_analy]=estimate_alpha_for_analy_se(x1,x2,wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2);
    Valpha_analy
    
  
    
    deriva=zeros(size(alpha,1),size(theta_true,1));
    delta=0.001;
    for i=1:size(theta_true,1)
        
        thet=theta_true;
        thet(i)=thet(i)+delta;
        betaSector1=thet(1:2);
        betaSector2=thet(3:4);
        gammaSector1=thet(5);
        gammaSector2=thet(6);
        tran=thet(7:8);

        rng(17171,'twister');
        [wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2] = ...
        generatedata_from_Roy(betaSector1,gammaSector1,...
        betaSector2,gammaSector2,tran,rho,x1,x2,e11,e21,e12,e22);
        [alpha1,Valpha1]=estimate_alpha(x1,x2,wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2);
        
        thet=theta_true;
        thet(i)=thet(i)-delta;
        betaSector1=thet(1:2);
        betaSector2=thet(3:4);
        gammaSector1=thet(5);
        gammaSector2=thet(6);
        tran=thet(7:8);

        rng(17171,'twister');
        [wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2] = ...
        generatedata_from_Roy(betaSector1,gammaSector1,...
        betaSector2,gammaSector2,tran,rho,x1,x2,e11,e21,e12,e22);
        [alpha2,Valpha2]=estimate_alpha(x1,x2,wageT1,wageT2,Sector1chosen_T1,Sector1chosen_T2);
        
        deriva(:,i)=(alpha1-alpha2)/(2*delta);
        
    end
    
    varian=(1+(1/2))*inv(deriva'*inv(Valpha)*deriva)*  (deriva'*inv(Valpha)*Valpha_analy*inv(Valpha)*deriva)     *inv(deriva'*inv(Valpha)*deriva);
    
    save varian;

toc

load varian;
s=sqrt(diag(varian)/2000)
