clear
addpath('L:\matlab_progs')
nrep=400;
tstats=zeros(nrep,8);
shats=zeros(nrep,8);
th_hats=zeros(nrep,8);
Htot=zeros(8,8);
Vtot=zeros(8,8);
load varian;
for ire=1:nrep

    ire
    filename=['results\Roy_MC2_data_and_theta' num2str(ire) '.mat']; 
    load(filename);
    
    s=sqrt(diag(varian)/2000);
    shats(ire,:)=s';
    tstats(ire,:)=((theta_hat-theta_true)./s)';
    th_hats(ire,:)=theta_hat';
    
end


save('structural model 2000 obs analytic T')


