function [ahats]=estimate_a(x1,x2,w1,w2,d1,d2,theta,Rrep,rho,d1d2,e11,e21,e12,e22)

    n=size(x1,1);
    [alpha,Valpha]=estimate_alpha(x1,x2,w1,w2,d1,d2);
    Valpha_inv=n*(1+1/Rrep)*inv(Valpha);

    


    if nargin < 11
        e11=randn(n*Rrep,1);
        e21=randn(n*Rrep,1);
        e12=randn(n*Rrep,1);
        e22=randn(n*Rrep,1);
    end
    x1R=repmat(x1,Rrep,1);
    x2R=repmat(x2,Rrep,1);
    
    kk=size(d1d2,2);
    ahats=zeros(kk,1);
    
    for i=1:kk
        direc=d1d2(:,i); 
        ath=0;
        opti=optimset('Display','off','MaxFunEvals',50000,'MaxIter',1000,'TolFun',1.0e-10,'TolX',1.0e-8);
%         [ath, fval]=fminsearch(@(ath) Indirect_fct(x1R,x2R,e11,e21,e12,e22,theta+ath*direc,alpha,Valpha_inv,rho),ath, opti);
%         [ath, fval]=linsearch(@(ath) Indirect_fct(x1R,x2R,e11,e21,e12,e22,theta+ath*direc,alpha,Valpha_inv,rho),ath,0.1,20);
        [ath, fval]=linmin(@(ath) Indirect_fct(x1R,x2R,e11,e21,e12,e22,theta+ath*direc,alpha,Valpha_inv,rho),ath, 0.1,0.00001,1000);
        ahats(i)=ath;
    end
  
end